domain_indirect_rep< sequential >
Inheritance diagram for domain_indirect_rep< sequential >:

## Public Types

typedef domain_indirect_base_rep< sequential > | base
typedef base::size_type | size_type
typedef base::iterator_ioige | iterator_ioige
typedef base::const_iterator_ioige | const_iterator_ioige
typedef base::orientation_type | orientation_type
Public Types inherited from domain_indirect_base_rep< sequential >
typedef disarray< geo_element_indirect, sequential > | base
typedef geo_element_indirect::size_type | size_type
typedef geo_element_indirect::orientation_type | orientation_type
typedef base::iterator | iterator_ioige
typedef base::const_iterator | const_iterator_ioige
Public Types inherited from disarray< T, M, A >
typedef M | memory_type
typedef disarray_rep< T, sequential, A > | rep
typedef rep::base::size_type | size_type
typedef rep::base::iterator | iterator
typedef rep::base::const_iterator | const_iterator

## Public Member Functions

| domain_indirect_rep ()
| domain_indirect_rep (const std::string &name, size_type map_dim, const communicator &comm, const std::vector< size_type > &ie_list)
void | resize (size_type n)
void | build_union (const domain_indirect_rep< sequential > &a, const domain_indirect_rep< sequential > &b)
size_type | size () const
size_type | dis_size () const
const_iterator_ioige | ioige_begin () const
const_iterator_ioige | ioige_end () const
iterator_ioige | ioige_begin ()
iterator_ioige | ioige_end ()
const geo_element_indirect & | oige (size_type ioige) const
void | set_name (std::string name)
void | set_map_dimension (size_type map_dim)
std::string | name () const
size_type | map_dimension () const
bool | is_broken () const
void | set_broken (bool b)
template<class U >
void | build_from_data (const geo_rep< U, sequential > &omega, disarray< geo_element_auto<>, sequential > &d_tmp, std::vector< index_set > *ball)
template<class U >
idiststream & | get (idiststream &ips, const geo_rep< U, sequential > &omega, std::vector< index_set > *ball)
| sequential i/o in format version 1 or 2 (backward compatibility) More...
odiststream & | put (odiststream &ops) const
| generic (seq,mpi) i/o in format version 2 More...
Public Member Functions inherited from domain_indirect_base_rep< sequential >
| domain_indirect_base_rep ()
| domain_indirect_base_rep (const std::string &name, size_type map_dim, const communicator &comm, const std::vector< size_type > &ie_list)
void | resize (size_type n)
void | build_from_list (const std::string &name, size_type map_dim, const communicator &comm, const std::vector< size_type > &ie_list)
void | build_union (const domain_indirect_base_rep< sequential > &a, const domain_indirect_base_rep< sequential > &b)
size_type | size () const
size_type | dis_size () const
const_iterator_ioige | ioige_begin () const
iterator_ioige | ioige_begin ()
const_iterator_ioige | ioige_end () const
iterator_ioige | ioige_end ()
const geo_element_indirect & | oige (size_type ioige) const
std::string | name () const
size_type | map_dimension () const
void | set_name (std::string name)
void | set_map_dimension (size_type map_dim)
bool | is_broken () const
void | set_broken (bool b)

## Additional Inherited Members

Protected Attributes inherited from domain_indirect_base_rep< sequential >
std::string | _name
size_type | _map_dim
bool | _is_broken

## Detailed Description

Definition at line 151 of file domain_indirect.h.

## Member Typedef Documentation

## base

typedef domain_indirect_base_rep<sequential> base

Definition at line 156 of file domain_indirect.h.

## size_type

typedef base::size_type size_type

Definition at line 157 of file domain_indirect.h.

## iterator_ioige

typedef base::iterator_ioige iterator_ioige

Definition at line 158 of file domain_indirect.h.

## const_iterator_ioige

typedef base::const_iterator_ioige const_iterator_ioige

Definition at line 159 of file domain_indirect.h.

## orientation_type

typedef base::orientation_type orientation_type

Definition at line 160 of file domain_indirect.h.

## Constructor & Destructor Documentation

## domain_indirect_rep() [1/2]

domain_indirect_rep | ( |  | ) |

Definition at line 164 of file domain_indirect.h.

## domain_indirect_rep() [2/2]

domain_indirect_rep | ( | const std::string & | name,
|  | size_type | map_dim,
|  | const communicator & | comm,
|  | const std::vector< size_type > & | ie_list
| ) |  |

Definition at line 166 of file domain_indirect.h.

## Member Function Documentation

## resize()

void resize | ( | size_type | n | ) |

Definition at line 173 of file domain_indirect.h.

## build_union()

void build_union | ( | const domain_indirect_rep< sequential > & | a,
|  | const domain_indirect_rep< sequential > & | b
| ) |  |

Definition at line 220 of file domain_indirect.h.

## size()

size_type size | ( |  | ) | const

Definition at line 182 of file domain_indirect.h.

## dis_size()

size_type dis_size | ( |  | ) | const

Definition at line 183 of file domain_indirect.h.

## ioige_begin() [1/2]

const_iterator_ioige ioige_begin | ( |  | ) | const

Definition at line 185 of file domain_indirect.h.

## ioige_end() [1/2]

const_iterator_ioige ioige_end | ( |  | ) | const

Definition at line 186 of file domain_indirect.h.

## ioige_begin() [2/2]

iterator_ioige ioige_begin | ( |  | ) |

Definition at line 187 of file domain_indirect.h.

## ioige_end() [2/2]

iterator_ioige ioige_end | ( |  | ) |

Definition at line 188 of file domain_indirect.h.

## oige()

const geo_element_indirect& oige | ( | size_type | ioige | ) | const

Definition at line 190 of file domain_indirect.h.

## set_name()

void set_name | ( | std::string | name | ) |

Definition at line 193 of file domain_indirect.h.

## set_map_dimension()

void set_map_dimension | ( | size_type | map_dim | ) |

Definition at line 194 of file domain_indirect.h.

## name()

std::string name | ( |  | ) | const

Definition at line 195 of file domain_indirect.h.

## map_dimension()

size_type map_dimension | ( |  | ) | const

Definition at line 196 of file domain_indirect.h.

## is_broken()

bool is_broken | ( |  | ) | const

Definition at line 197 of file domain_indirect.h.

## set_broken()

void set_broken | ( | bool | b | ) |

Definition at line 198 of file domain_indirect.h.

## build_from_data()

template void build_from_data | ( | const geo_rep< U, sequential > & | omega,
|  | disarray< geo_element_auto<>, sequential > & | d_tmp,
|  | std::vector< index_set > * | ball
| ) |  |

Definition at line 164 of file domain_indirect_seq.cc.

## get()

template idiststream & get | ( | idiststream & | ips,
|  | const geo_rep< U, sequential > & | omega,
|  | std::vector< index_set > * | ball
| ) |  |

sequential i/o in format version 1 or 2 (backward compatibility)

Definition at line 117 of file domain_indirect_seq.cc.

## put()

odiststream & put | ( | odiststream & | ops | ) | const

generic (seq,mpi) i/o in format version 2

Definition at line 87 of file domain_indirect_seq.cc.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/domain_indirect.h
- /build/rheolef-FQTnje/rheolef-7.1/main/lib/domain_indirect_seq.cc